<?xml version="1.0" encoding="UTF-8"?>

<!DOCTYPE hibernate-mapping PUBLIC 
"-//Hibernate/Hibernate Mapping DTD 3.0//EN"
"http://www.hibernate.org/dtd/hibernate-mapping-3.0.dtd">
<hibernate-mapping package="com.lerx.entities">
	<class name="AlbumArticle" table="album_article" dynamic-update="true">
		<id name="id" column="id">
			<generator class="native" />
		</id>
		
		<property name="subject" />
		<property name="subjectShort" />
		<property name="tmpSubject" />
		<property name="tmpContent" type="text" />
		<property name="uuid" />
		
		<property name="views" />
		<property name="creationTime" />
		<property name="creationTimeOldest" />
		<property name="lastModifyTime" />
		<property name="lastViewTime" />
		<property name="status" />
		<property name="soul" />
		<property name="topOne" />
		<property name="prohibit" />
		<property name="hotn" />
		
		<many-to-one name="album" column="aid" lazy="false" cascade="none" fetch="select" 
			outer-join="true" class="Album" />
		<many-to-one name="classify" column="classifyID" lazy="false" cascade="none" fetch="select" 
			outer-join="true" class="AlbumArticleClassify" />
		<many-to-one name="target" column="targetID" lazy="false" cascade="none" fetch="select" 
			outer-join="true" class="AlbumArticle" />	
		<many-to-one name="content" column="contentID" lazy="false" cascade="none" fetch="select" 
			outer-join="true" class="AlbumArticleContent" />
		<many-to-one name="vbook" column="vbookID" lazy="false" cascade="none" fetch="select" 
			outer-join="true" class="com.lerx.entities.VisitorsBook" />
		<many-to-one name="poll" column="pollID" lazy="false" cascade="none" fetch="select" 
			outer-join="true" class="com.lerx.entities.Poll" />
		<many-to-one name="cb" column="cbID" lazy="false" cascade="none" fetch="select" 
			outer-join="true" class="com.lerx.entities.CommentBridge" />
		<many-to-one name="hfs" column="fileID" lazy="false" cascade="none" fetch="select" 
			outer-join="true" class="com.lerx.entities.HtmlFileStatic" />
			
		<many-to-one name="owner" column="ownerUID" lazy="false" cascade="none" fetch="select" 
			outer-join="true" class="User" />
		<many-to-one name="deler" column="delerUID" lazy="false" cascade="none" fetch="select" 
			outer-join="true" class="User" />
		<many-to-one name="arbitrator" column="arbitratorUID" lazy="false" cascade="none" fetch="select" 
			outer-join="true" class="User" />
		<many-to-one name="srt" column="searchID" lazy="false" cascade="none" fetch="select" 
			outer-join="true" class="com.lerx.entities.SearchTotalModel" />
        
	</class>
</hibernate-mapping>
